//----------------------------------------------------------------------------------------------------------------------
// Config Interface
//----------------------------------------------------------------------------------------------------------------------

import { Knex } from 'knex';
import { StrataConfig } from '@strata-js/strata';

//----------------------------------------------------------------------------------------------------------------------

export interface DatabaseConfig extends Knex.Config
{
    traceQueries : boolean;
}

export interface ServiceConfig extends StrataConfig
{
    database : DatabaseConfig;
}

//----------------------------------------------------------------------------------------------------------------------
